## UDisksLinuxNVMeController

UDisksLinuxNVMeController — Linux implementation of UDisksNVMeController

## Functions

UDisksNVMeController * | udisks_linux_nvme_controller_new ()
gboolean | udisks_linux_nvme_controller_update ()
gboolean | udisks_linux_nvme_controller_refresh_smart_sync ()

## Types and Values

| UDisksLinuxNVMeController

## Object Hierarchy

        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── UDisksNVMeControllerSkeleton
                ╰── UDisksLinuxNVMeController

## Implemented Interfaces

UDisksLinuxNVMeController implements GDBusInterface and UDisksNVMeController.

## Description

This type provides an implementation of the UDisksNVMeController interface on Linux.

## Functions

### udisks_linux_nvme_controller_new ()

    UDisksNVMeController *
    udisks_linux_nvme_controller_new (void);

Creates a new UDisksLinuxNVMeController instance.

#### Returns

A new UDisksLinuxNVMeController. Free with `g_object_unref()`.

### udisks_linux_nvme_controller_update ()

    gboolean
    udisks_linux_nvme_controller_update (UDisksLinuxNVMeController *ctrl,
                                         UDisksLinuxDriveObject *object);

Updates the interface.

#### Parameters

ctrl | A UDisksLinuxNVMeController. |
object | The enclosing UDisksLinuxDriveObject instance. |

#### Returns

`TRUE` if configuration has changed, `FALSE` otherwise.

### udisks_linux_nvme_controller_refresh_smart_sync ()

    gboolean
    udisks_linux_nvme_controller_refresh_smart_sync
                                   (UDisksLinuxNVMeController *ctrl,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously refreshes SMART/Health Information Log on `ctrl` . Includes Sanitize Status information. The calling thread is blocked until the data has been obtained.

This may only be called if `ctrl` has been associated with a UDisksLinuxDriveObject instance.

This method may be called from any thread.

#### Parameters

ctrl | The UDisksLinuxNVMeController to refresh. |
cancellable | A GCancellable or `NULL`. |
error | Return location for error. |

#### Returns

`TRUE` if the operation succeeded, `FALSE` if `error` is set.

## Types and Values

### UDisksLinuxNVMeController

    typedef struct _UDisksLinuxNVMeController UDisksLinuxNVMeController;

The UDisksLinuxNVMeController structure contains only private data and should only be accessed using the provided API.